    PROGRAM x04acfe

!      X04ACF Example Program Text

!      Mark 23 Release. NAG Copyright 2011.

!      .. Use Statements ..
       USE nag_library, ONLY : x04acf
!      .. Implicit None Statement ..
       IMPLICIT NONE
!      .. Parameters ..
       INTEGER, PARAMETER              :: iounit = 4, nout = 6
       CHARACTER (*), PARAMETER        :: file = 'x04acfe_success.res'
!      .. Local Scalars ..
       INTEGER                         :: ifail, mode
!      .. Executable Statements ..
       WRITE (nout,*) 'X04ACF Example Program Results'

!      Test successful open for write

       mode = 1

       ifail = 0
       CALL x04acf(iounit,file,mode,ifail)

       WRITE (nout,99999)
       WRITE (iounit,99999)

99999  FORMAT (' OK file successfully opened for writing')
    END PROGRAM x04acfe
